commit 404f0b50bc2d088c085737d376577f3734f9a0c1
Author: jklowden <jklowden>
Date:   Fri Jul 10 18:03:51 2009 +0000

    pad nullable CHAR written to hostfile.

diff --git a/ChangeLog b/ChangeLog
index 22ccd87..821b030 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Jul 10 14:01:28 EDT 2009	JK Lowden <jklowden@freetds.org>
+	* src/dblib/bcp.c pad nullable CHAR written to hostfile. 
+
 Thu Jun 25 22:51:09 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/ctlib/ct.c: Andrew Victor patch for empty strings (modified)
 
@@ -1677,4 +1680,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2826 2009/06/25 20:51:17 freddy77 Exp $
+$Id: ChangeLog,v 1.2827 2009/07/10 18:03:51 jklowden Exp $
diff --git a/src/dblib/bcp.c b/src/dblib/bcp.c
index 34fa10e..d23172e 100644
--- a/src/dblib/bcp.c
+++ b/src/dblib/bcp.c
@@ -61,7 +61,7 @@
 #define MAX(a,b) ( (a) > (b) ? (a) : (b) )
 #endif
 
-TDS_RCSID(var, "$Id: bcp.c,v 1.186 2009/05/28 16:23:32 freddy77 Exp $");
+TDS_RCSID(var, "$Id: bcp.c,v 1.187 2009/07/10 18:03:52 jklowden Exp $");
 
 #ifdef HAVE_FSEEKO
 typedef off_t offset_type;
@@ -857,12 +857,6 @@ _bcp_exec_out(DBPROCESS * dbproc, DBINT * rows_copied)
 				destlen = -1;
 				break;
 			case SYBCHAR:
-				buflen = curcol->column_size + 1;
-				if (curcol->column_nullable)
-					destlen = -1;
-				else
-					destlen = -2;
-				break;
 			case SYBTEXT:
 				/* FIXME column_size ?? if 2gb ?? */
 				buflen = curcol->column_size + 1;
@@ -1761,9 +1755,7 @@ _bcp_exec_in(DBPROCESS * dbproc, DBINT * rows_copied)
 						tds_bcp_start(tds, dbproc->bcpinfo);
 					}
 				}
-			} else {
-				printf("skipping row %d (because <= %d)\n", dbproc->hostfileinfo->firstrow, row_of_hostfile);
-			}
+			} 
 		}
 
 		row_start = ftello(hostfile);

